# Note that this is NOT a relocatable package
%define ver      0.3.8
%define rel      7
%define prefix   /usr

Summary: The Electric Eyes image viewer application.
Name: ee
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Multimedia
Source: ftp://ftp.gnome.org/pub/ee-%{ver}.tar.gz
BuildRoot: /var/tmp/ee-%{PACKAGE_VERSION}-root
URL: http://www.gnome.org
Docdir: %{prefix}/doc
Requires: imlib >= 1.9.2

Patch: ee-desktop.patch

%description
The ee package contains the Electric Eyes image viewer for the GNOME
desktop environment.  Electric Eyes is primary an image viewer, but it
also allows many types of image manipulations.  Electric Eyes can handle
almost any type of image.

Install the ee package if you need an image viewer.

%changelog

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Mon Feb 22 1999 Michael Fulbright <drmike@redhat.com>
- unlibtoolize

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3.8

* Mon Feb 08 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3.7

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- rebuilt for gtk+ 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Tue Sep 22 1998 Carsten Haitzler <raster@redhat.com>
- requires imlib 1.8.1
- more minor bug fixes.

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- stuff

* Thu Aug 13 1998 Marc Ewing <marc@redhat.com>
- Initial spec file copied from gnome-graphics

%prep
%setup

%patch -p1 

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

# strip binaries
strip `file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/not strip/ { print $1 }'`


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/gnome/help/ee
%{prefix}/share/locale/*/*/*
%{prefix}/share/gnome/apps/*
%{prefix}/share/mime-info/ee.keys
